Package io.vertx.rxjava3.cassandra

## Class CassandraClient

- java.lang.Object
- - io.vertx.rxjava3.cassandra.CassandraClient

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class CassandraClient
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Eclipse Vert.x Cassandra client.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<CassandraClient>` | `__TYPE_ARG` |
    `static String` | `DEFAULT_SHARED_CLIENT_NAME` | The default shared client name.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CassandraClient​(CassandraClient delegate)` |
    `CassandraClient​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Completable` | `close()` | Closes this client.
    `static CassandraClient` | `create​(Vertx vertx)` | Like `create(io.vertx.rxjava3.core.Vertx)` with default options.
    `static CassandraClient` | `create​(Vertx vertx, CassandraClientOptions options)` | Create a Cassandra client which maintains its own driver session.
    `static CassandraClient` | `createShared​(Vertx vertx)` | Like `createShared(io.vertx.rxjava3.core.Vertx)` with default options and client name.
    `static CassandraClient` | `createShared​(Vertx vertx, CassandraClientOptions options)` | Like `createShared(io.vertx.rxjava3.core.Vertx)` with default client name.
    `static CassandraClient` | `createShared​(Vertx vertx, String clientName)` | Like `createShared(io.vertx.rxjava3.core.Vertx)` with default options.
    `static CassandraClient` | `createShared​(Vertx vertx, String clientName, CassandraClientOptions options)` | Create a Cassandra client that shares its driver session with any other client having the same name.
    `boolean` | `equals​(Object o)` |
    `Single<ResultSet>` | `execute​(com.datastax.oss.driver.api.core.cql.Statement statement)` | Execute the statement and provide a handler for consuming results.
    `Single<ResultSet>` | `execute​(String query)` | Execute the query and provide a handler for consuming results.
    `Single<List<com.datastax.oss.driver.api.core.cql.Row>>` | `executeWithFullFetch​(com.datastax.oss.driver.api.core.cql.Statement statement)` | Execute the query and provide a handler for consuming results.
    `Single<List<com.datastax.oss.driver.api.core.cql.Row>>` | `executeWithFullFetch​(String query)` | Execute the query and provide a handler for consuming results.
    `CassandraClient` | `getDelegate()` |
    `int` | `hashCode()` |
    `boolean` | `isConnected()` |
    `Single<com.datastax.oss.driver.api.core.metadata.Metadata>` | `metadata()` | Get for the session.
    `static CassandraClient` | `newInstance​(CassandraClient arg)` |
    `Single<com.datastax.oss.driver.api.core.cql.PreparedStatement>` | `prepare​(com.datastax.oss.driver.api.core.cql.SimpleStatement statement)` | Prepares the provided a .
    `Single<com.datastax.oss.driver.api.core.cql.PreparedStatement>` | `prepare​(String query)` | Prepares the provided query string.
    `Single<CassandraRowStream>` | `queryStream​(com.datastax.oss.driver.api.core.cql.Statement statement)` | Executes the given SQL statement which returns the results of the query as a read stream.
    `Single<CassandraRowStream>` | `queryStream​(String sql)` | Executes the given SQL `SELECT` statement which returns the results of the query as a read stream.
    `Completable` | `rxClose()` | Closes this client.
    `Single<ResultSet>` | `rxExecute​(com.datastax.oss.driver.api.core.cql.Statement statement)` | Execute the statement and provide a handler for consuming results.
    `Single<ResultSet>` | `rxExecute​(String query)` | Execute the query and provide a handler for consuming results.
    `Single<List<com.datastax.oss.driver.api.core.cql.Row>>` | `rxExecuteWithFullFetch​(com.datastax.oss.driver.api.core.cql.Statement statement)` | Execute the query and provide a handler for consuming results.
    `Single<List<com.datastax.oss.driver.api.core.cql.Row>>` | `rxExecuteWithFullFetch​(String query)` | Execute the query and provide a handler for consuming results.
    `Single<com.datastax.oss.driver.api.core.metadata.Metadata>` | `rxMetadata()` | Get for the session.
    `Single<com.datastax.oss.driver.api.core.cql.PreparedStatement>` | `rxPrepare​(com.datastax.oss.driver.api.core.cql.SimpleStatement statement)` | Prepares the provided a .
    `Single<com.datastax.oss.driver.api.core.cql.PreparedStatement>` | `rxPrepare​(String query)` | Prepares the provided query string.
    `Single<CassandraRowStream>` | `rxQueryStream​(com.datastax.oss.driver.api.core.cql.Statement statement)` | Executes the given SQL statement which returns the results of the query as a read stream.
    `Single<CassandraRowStream>` | `rxQueryStream​(String sql)` | Executes the given SQL `SELECT` statement which returns the results of the query as a read stream.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<CassandraClient> __TYPE_ARG

    - #### DEFAULT_SHARED_CLIENT_NAME

          public static final String DEFAULT_SHARED_CLIENT_NAME

      The default shared client name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CassandraClient

          public CassandraClient​(CassandraClient delegate)

    - #### CassandraClient

          public CassandraClient​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public CassandraClient getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static CassandraClient create​(Vertx vertx)

      Like `create(io.vertx.rxjava3.core.Vertx)` with default options.
      Parameters:
        `vertx` -
      Returns:

    - #### create

          public static CassandraClient create​(Vertx vertx,
                                               CassandraClientOptions options)

      Create a Cassandra client which maintains its own driver session.

      It is not recommended to create several non shared clients in an application.

      Parameters:
        `vertx` - the Vert.x instance
        `options` - the options
      Returns:
        the client

    - #### createShared

          public static CassandraClient createShared​(Vertx vertx)

      Like `createShared(io.vertx.rxjava3.core.Vertx)` with default options and client name.
      Parameters:
        `vertx` -
      Returns:

    - #### createShared

          public static CassandraClient createShared​(Vertx vertx,
                                                     String clientName)

      Like `createShared(io.vertx.rxjava3.core.Vertx)` with default options.
      Parameters:
        `vertx` -
        `clientName` -
      Returns:

    - #### createShared

          public static CassandraClient createShared​(Vertx vertx,
                                                     CassandraClientOptions options)

      Like `createShared(io.vertx.rxjava3.core.Vertx)` with default client name.
      Parameters:
        `vertx` -
        `options` -
      Returns:

    - #### createShared

          public static CassandraClient createShared​(Vertx vertx,
                                                     String clientName,
                                                     CassandraClientOptions options)

      Create a Cassandra client that shares its driver session with any other client having the same name.
      Parameters:
        `vertx` - the Vert.x instance
        `clientName` - the shared client name
        `options` - the options
      Returns:
        the client

    - #### isConnected

          public boolean isConnected()

      Returns:
        whether this Cassandra client instance is connected

    - #### execute

          public Single<ResultSet> execute​(String query)

      Execute the query and provide a handler for consuming results.
      Parameters:
        `query` - the query to execute
      Returns:
        a future of the result

    - #### rxExecute

          public Single<ResultSet> rxExecute​(String query)

      Execute the query and provide a handler for consuming results.
      Parameters:
        `query` - the query to execute
      Returns:
        a future of the result

    - #### queryStream

          public Single<CassandraRowStream> queryStream​(String sql)

      Executes the given SQL `SELECT` statement which returns the results of the query as a read stream.
      Parameters:
        `sql` - the SQL to execute. For example `SELECT * FROM table ...`.
      Returns:
        a future of the result

    - #### rxQueryStream

          public Single<CassandraRowStream> rxQueryStream​(String sql)

      Executes the given SQL `SELECT` statement which returns the results of the query as a read stream.
      Parameters:
        `sql` - the SQL to execute. For example `SELECT * FROM table ...`.
      Returns:
        a future of the result

    - #### close

          public Completable close()

      Closes this client.
      Returns:
        a future of the result

    - #### rxClose

          public Completable rxClose()

      Closes this client.
      Returns:
        a future of the result

    - #### executeWithFullFetch

          public Single<List<com.datastax.oss.driver.api.core.cql.Row>> executeWithFullFetch​(String query)

      Execute the query and provide a handler for consuming results.
      Parameters:
        `query` - the query to execute
      Returns:
        a future of the result

    - #### rxExecuteWithFullFetch

          public Single<List<com.datastax.oss.driver.api.core.cql.Row>> rxExecuteWithFullFetch​(String query)

      Execute the query and provide a handler for consuming results.
      Parameters:
        `query` - the query to execute
      Returns:
        a future of the result

    - #### executeWithFullFetch

          public Single<List<com.datastax.oss.driver.api.core.cql.Row>> executeWithFullFetch​(com.datastax.oss.driver.api.core.cql.Statement statement)

      Execute the query and provide a handler for consuming results.
      Parameters:
        `statement` - the statement to execute
      Returns:
        a future of the result

    - #### rxExecuteWithFullFetch

          public Single<List<com.datastax.oss.driver.api.core.cql.Row>> rxExecuteWithFullFetch​(com.datastax.oss.driver.api.core.cql.Statement statement)

      Execute the query and provide a handler for consuming results.
      Parameters:
        `statement` - the statement to execute
      Returns:
        a future of the result

    - #### execute

          public Single<ResultSet> execute​(com.datastax.oss.driver.api.core.cql.Statement statement)

      Execute the statement and provide a handler for consuming results.
      Parameters:
        `statement` - the statement to execute
      Returns:
        a future of the result

    - #### rxExecute

          public Single<ResultSet> rxExecute​(com.datastax.oss.driver.api.core.cql.Statement statement)

      Execute the statement and provide a handler for consuming results.
      Parameters:
        `statement` - the statement to execute
      Returns:
        a future of the result

    - #### prepare

          public Single<com.datastax.oss.driver.api.core.cql.PreparedStatement> prepare​(String query)

      Prepares the provided query string.
      Parameters:
        `query` - the query to prepare
      Returns:
        a future of the result

    - #### rxPrepare

          public Single<com.datastax.oss.driver.api.core.cql.PreparedStatement> rxPrepare​(String query)

      Prepares the provided query string.
      Parameters:
        `query` - the query to prepare
      Returns:
        a future of the result

    - #### prepare

          public Single<com.datastax.oss.driver.api.core.cql.PreparedStatement> prepare​(com.datastax.oss.driver.api.core.cql.SimpleStatement statement)

      Prepares the provided a .
      Parameters:
        `statement` - the statement to prepare
      Returns:
        a future of the result

    - #### rxPrepare

          public Single<com.datastax.oss.driver.api.core.cql.PreparedStatement> rxPrepare​(com.datastax.oss.driver.api.core.cql.SimpleStatement statement)

      Prepares the provided a .
      Parameters:
        `statement` - the statement to prepare
      Returns:
        a future of the result

    - #### queryStream

          public Single<CassandraRowStream> queryStream​(com.datastax.oss.driver.api.core.cql.Statement statement)

      Executes the given SQL statement which returns the results of the query as a read stream.
      Parameters:
        `statement` - the statement to execute.
      Returns:
        a future of the result

    - #### rxQueryStream

          public Single<CassandraRowStream> rxQueryStream​(com.datastax.oss.driver.api.core.cql.Statement statement)

      Executes the given SQL statement which returns the results of the query as a read stream.
      Parameters:
        `statement` - the statement to execute.
      Returns:
        a future of the result

    - #### metadata

          public Single<com.datastax.oss.driver.api.core.metadata.Metadata> metadata()

      Get for the session.
      Returns:
        a future of the result

    - #### rxMetadata

          public Single<com.datastax.oss.driver.api.core.metadata.Metadata> rxMetadata()

      Get for the session.
      Returns:
        a future of the result

    - #### newInstance

          public static CassandraClient newInstance​(CassandraClient arg)